Bug 139110 - rhnreg_ks improperly deals with --sslCACert command line option
rhnreg_ks improperly deals with --sslCACert command line option
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
:
Depends On:
Blocks: 106771
  Show dependency treegraph
 
Reported: 2004-11-12 18:06 EST by Ian McLeod
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian McLeod 2004-11-12 18:06:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20020830

Description of problem:
Summary: rhnreg_ks fails when I attempt to point it at a custom CA
cert for registration against a satellite.  It correctly sets this
cert in the rhn_register config file, but uses the default Red Hat
cert when attempting to contact the satellite.  If I run the same
command a second time, the registration works.



Version-Release number of selected component (if applicable):
rhn_register-2.9.12-1.2.1AS

How reproducible:
Always

Steps to Reproduce:
Delete the rhn_register config file.

Attempt to forcibly reregister against a satellite using rhnreg_ks.

Registration must use a token and the server must use a custom CA cert.


    

Actual Results:  Registration fails with a "Cannot validate apache SSL
cert" error.

Expected Results:  Server should register.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:21:28 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.